#### D.14.2.8 boolean_set

Procedure from library `polybori.lib` (see polybori_lib).

Usage:
  boolean_set(ss[, rb]); ss zdd, rb boolean ring

Return:
  default: boolean set ss in the representation of a Polybori boolean set in the ring rb==boolean_poly_ring(basering); optional input: boolean ring rb

Example:

    LIB "polybori.lib";
    ==> // ** args must be 1 in     system("install", "bideal",   "ideal",    bid\
       eal2ideal, 4);
    ring rs=0,(x,y,z),Dp;
    poly ps=(x+1)*(y+1)*(z+1);
    zdd fz=ps;
    boolean_set(fz);
    ==> {{x,y,z}, {x,y}, {x,z}, {x}, {y,z}, {y}, {z}, {}}
    poly g=x*y*z+1;
    zdd gz=g;
    boolean_set(gz);
    ==> {{x,y,z}, {}}
    ring R=0,(x(1..4)),Dp;
    def Rb=boolean_poly_ring(R);
    poly h=(x(1)+1)*(x(2)+1)*(x(3)+1)*(x(4)+1);
    zdd hz=h;
    boolean_set(hz);
    ==> {{x(1),x(2),x(3),x(4)}, {x(1),x(2),x(3)}, {x(1),x(2),x(4)}, {x(1),x(2)}, \
       {x(1),x(3),x(4)}, {x(1),x(3)}, {x(1),x(4)}, {x(1)}, {x(2),x(3),x(4)}, {x(\
       2),x(3)}, {x(2),x(4)}, {x(2)}, {x(3),x(4)}, {x(3)}, {x(4)}, {}}

See also: boolean_ideal; boolean_std.

User manual for Singular version 4-0-3, 2016, generated by texi2html.